<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!-- Required meta tags -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <link rel="icon" type="image/ico" th:href="@{/img/favicon.ico}">

    <title>Phippy</title>
</head>
<body>
<div th:replace="components/navbar.html :: nav"></div>
<div class="container">
    <div class="row mt-5">
        <div class="col-md-4 m-auto">
            <div th:if="${param.error}" class="alert alert-danger">Invalid username and password.</div>
            <div th:if="${param.logout}" class="alert alert-success">You have been logged out.</div>
            <form class="form-signin" method="POST" th:action="@{/login}">
                <p>
                    <label for="username" class="sr-only">Username</label>
                    <input type="text" id="username" name="username" class="form-control"
                           placeholder="Username" required autofocus>
                </p>
                <p>
                    <label for="password" class="sr-only">Password</label>
                    <input type="password" id="password" name="password" class="form-control"
                           placeholder="Password" required>
                </p>
                <div class="d-flex justify-content-center">
                    <button class="btn btn-lg btn-primary btn-block" type="submit">Login</button>
                </div>
            </form>
            <div th:replace="components/footer.html :: footer"></div>
        </div>
    </div>
</div>
</body>
</html>